# Something's not quite right with libtool....
%define __libtoolize :

Summary: Portable Spell Checker Interface Library.
Name: pspell
Version: 0.12.2
Source0: http://download.sourceforge.net/pspell/%{name}-.12.2.tar.gz
Epoch: 3
Release: 16.1
License: LGPL
Group: Applications/Text
URL: http://pspell.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description 
The Pspell library provides a generic interface to any spell checker
libraries installed on the system.

%package devel
Summary: Static libraries and header files for pspell.
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}

%description	devel
The Pspell library provides a generic interface to spell checking
libraries installed on the system. This package contains static
libraries and header files for Pspell.

%prep
%setup -q -n pspell-.12.2

%build
%configure --enable-static --enable-ltdl
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/usr/doc/pspell .
rm pspell/manual.aux pspell/manual.lyx

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README pspell/*
%{_libdir}/libpspell-*.so.*
%{_libdir}/libpspell.so.*
# Yes, they need to be in the main package - they are used for
# dynamic loading. Argh.
%{_libdir}/lib*.la
/usr/bin/*
/usr/share/pspell

%files		devel
%defattr(-,root,root)
/usr/include/pspell
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 3:0.12.2-16.1
- added epoch to versioned requires where needed
- built for RHEL

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Nov  5 2002 Bill Nottingham <notting@redhat.com> 0.12.2-15
- rebuild (libtool hosage)

* Mon Aug 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.12.2-14
- Use %%{_libdir} instead of /usr/lib, for easier porting

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 0.12.2-12
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.12.2-11
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.12.2-10
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.12.2-9
- Rebuild

* Thu Feb 21 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.12.2-8
- Rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan  8 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.12.2-6
- Rebuild

* Fri Dec 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.12.2-5
- Rebuild

* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Wed Jul 11 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add the .la files in the main package - used for dynamic loading

* Tue Jun  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Define "__libtoolize" as "true", as doing the standard operation
  seems to mislink libpspell (#43423)

* Wed May 30 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.12.2, workarounds no longer necesarry at the spec file level

* Tue May 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use a fixed version of libtool

* Sun May 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Rebuild - the last version was linked with both libltdl.so.0 
  and libltdl.so.3

* Fri May 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 0.12.1-2
- rebuild with new libltdl

* Mon Apr 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 0.12.1
- hack to make it build - the bundled development branch version 
  of libtool sucks.

* Sun Sep  3 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- do not include /usr/bin/* in devel package

* Sat Aug 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.11.2 from the author, which fixes a couple of minor
  bugs. Remove old patch.
- remove manual.aux file from doc files

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- renamed to 0.11.1
- epoch 2
- added patch from author to update his email address

* Fri Aug 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to .11.1

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't include .la files
- use %%makeinstall

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use CFLAGS and CXXFLAGS

* Wed Jun 21 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add --enable-ltdl as requested by the author
- copy some libtool files manually for IA64 support

* Sun Jun 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- include program in /usr/bin
- update to .11.0.2 - my patch is now in the main tree and
  has been removed 

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- escape macros in changelog. 

* Fri Jun 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- include files in /usr/bin and /usr/share/pspell
- updated the descriptions

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Version .11.0.1
- use %%makeinstall and %%{_tmppath}
- updated patch

* Fri Jun 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- moved to main distribution: ispell dies
- patched to make it compile - it seemed dependant on namespace
  pollution
 
* Mon May 01 2000 Tim Powers <timp@redhat.com>
- initial build for Powertools
- package needed by aspell now
- removed redundant defines at top of spec
- no epoch needed since this is the first release for Powertools, hopefully it
  is _never_ needed from this point forward
- use _prefix to amke it so that rebuilds can be built for different prefixes
  as defined by RPM
- updated source location
- don't have /usr/include/ltdl.h in the files list, conflicts with libtool,
  not only that but "make install" never installs it
- cleaned up files list a bit.

* Mon Apr  3 2000 Ryan Weaver <ryanw@infohwy.com>
  [pspell-.10-1]
- Initial RPM Build.

